## net.dontdrinkandroot.wicket.bootstrap.component.button
Class AjaxSubmitButtonLink<T>

    java.lang.Object
      org.apache.wicket.Component
          org.apache.wicket.MarkupContainer
              org.apache.wicket.markup.html.WebMarkupContainer
                  net.dontdrinkandroot.wicket.component.TypedWebMarkupContainer<T>
                      net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractButtonLink<T>
                          net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractSubmitButtonLink<T>
                              net.dontdrinkandroot.wicket.bootstrap.component.button.AjaxSubmitButtonLink<T>

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable<org.apache.wicket.Component>, org.apache.wicket.event.IEventSink, org.apache.wicket.event.IEventSource, org.apache.wicket.IConverterLocator, org.apache.wicket.markup.html.form.IFormSubmitter, org.apache.wicket.markup.html.form.IFormSubmittingComponent, org.apache.wicket.markup.html.IHeaderContributor, org.apache.wicket.request.component.IRequestableComponent, org.apache.wicket.util.IHierarchical<org.apache.wicket.Component>, org.apache.wicket.util.io.IClusterable

Direct Known Subclasses:
  DisablingSubmitButtonLink

    public abstract class AjaxSubmitButtonLink<T>

extends AbstractSubmitButtonLink<T>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.wicket.Component
`ENABLE, FLAG_INITIALIZED, FLAG_REMOVING_FROM_HIERARCHY, FLAG_RESERVED1, FLAG_RESERVED2, FLAG_RESERVED3, FLAG_RESERVED4, FLAG_RESERVED5, FLAG_RESERVED8, PARENT_PATH, PATH_SEPARATOR, RENDER`

Constructor Summary
`AjaxSubmitButtonLink(java.lang.String id)`
`AjaxSubmitButtonLink(java.lang.String id, org.apache.wicket.markup.html.form.Form<?> form)`
`AjaxSubmitButtonLink(java.lang.String id, org.apache.wicket.model.IModel<T> model)`
`AjaxSubmitButtonLink(java.lang.String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.markup.html.form.Form<?> form)`
`AjaxSubmitButtonLink(java.lang.String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.model.IModel<java.lang.String> labelModel)`
`AjaxSubmitButtonLink(java.lang.String id, org.apache.wicket.model.IModel<T> model, org.apache.wicket.model.IModel<java.lang.String> labelModel, org.apache.wicket.markup.html.form.Form<?> form)`

Method Summary
`void` `onAfterSubmit()` Use `onAfterSubmit(AjaxRequestTarget, Form)` instead.
`protected void` `onAfterSubmit(org.apache.wicket.ajax.AjaxRequestTarget target, org.apache.wicket.markup.html.form.Form<?> form)` Override this method to provide special submit handling in a multi-button form.
`protected void` `onComponentTag(org.apache.wicket.markup.ComponentTag tag)`
`void` `onError()` Final implementation of the Button's onError.
`protected void` `onError(org.apache.wicket.ajax.AjaxRequestTarget target, org.apache.wicket.markup.html.form.Form<?> form)` Listener method invoked on form submit with errors.
`void` `onSubmit()` Use `onSubmit(AjaxRequestTarget, Form)` instead.
`protected void` `onSubmit(org.apache.wicket.ajax.AjaxRequestTarget target, org.apache.wicket.markup.html.form.Form<?> form)` Override this method to provide special submit handling in a multi-button form.
`protected void` `updateAjaxAttributes(org.apache.wicket.ajax.attributes.AjaxRequestAttributes attributes)`

Methods inherited from class net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractSubmitButtonLink
`getDefaultFormProcessing, getForm, getInputName, setDefaultFormProcessing`

Methods inherited from class net.dontdrinkandroot.wicket.bootstrap.component.button.AbstractButtonLink
`disableLink, getButtonSizeModel, getButtonStyleModel, isLinkEnabled, onComponentTagBody, onInitialize, setButtonSize, setButtonStyle`

Methods inherited from class net.dontdrinkandroot.wicket.component.TypedWebMarkupContainer
`getModel, getModelObject, setModel, setModelObject`

Methods inherited from class org.apache.wicket.markup.html.WebMarkupContainer
`getWebPage, getWebRequest, getWebResponse, getWebSession`

Methods inherited from class org.apache.wicket.MarkupContainer
`add, addOrReplace, autoAdd, contains, get, get, getAssociatedMarkup, getAssociatedMarkupStream, getMarkup, getMarkupType, internalAdd, internalInitialize, iterator, iterator, onAfterRenderChildren, onRender, remove, remove, removeAll, renderAll, renderAssociatedMarkup, renderNext, replace, setDefaultModel, size, swap, toString, toString, visitChildren, visitChildren, visitChildren, visitChildren`

Methods inherited from class org.apache.wicket.Component

`add, addStateChange, afterRender, beforeRender, canCallListenerInterface, checkComponentTag, checkComponentTagAttribute, checkHierarchyChange, configure, continueToOriginalDestination, debug, detach, detachModel, detachModels, determineVisibility, error, exceptionMessage, fatal, findMarkupStream, findPage, findParent, findParentWithAssociatedMarkup, getAjaxRegionMarkupId, getApplication, getBehaviorById, getBehaviorId, getBehaviors, getBehaviors, getClassRelativePath, getConverter, getDefaultModel, getDefaultModelObject, getDefaultModelObjectAsString, getDefaultModelObjectAsString, getEscapeModelStrings, getFeedbackMessages, getFlag, getId, getInnermostModel, getInnermostModel, getLocale, getLocalizer, getMarkup, getMarkupAttributes, getMarkupId, getMarkupId, getMarkupIdFromMarkup, getMarkupIdImpl, getMarkupSourcingStrategy, getMetaData, getModelComparator, getOutputMarkupId, getOutputMarkupPlaceholderTag, getPage, getPageRelativePath, getParent, getPath, getRenderBodyOnly, getRequest, getRequestCycle, getRequestFlag, getResponse, getSession, getSizeInBytes, getStatelessHint, getString, getString, getString, getStyle, getVariation, hasBeenRendered, hasErrorMessage, hasFeedbackMessage, info, initModel, internalOnModelChanged, internalPrepareForRender, internalRenderComponent, isActionAuthorized, isAuto, isBehaviorAccepted, isEnableAllowed, isEnabled, isEnabledInHierarchy, isIgnoreAttributeModifier, isRenderAllowed, isStateless, isVersioned, isVisibilityAllowed, isVisible, isVisibleInHierarchy, markRendering, modelChanged, modelChanging, newMarkupSourcingStrategy, onAfterRender, onBeforeRender, onConfigure, onDetach, onEvent, onModelChanged, onModelChanging, onRemove, prepareForRender, redirectToInterceptPage, remove, remove, render, renderComponentTag, rendered, renderHead, renderHead, renderHead, renderPlaceholderTag, replaceComponentTagBody, replaceWith, sameInnermostModel, sameInnermostModel, send, setAuto, setDefaultModelObject, setEnabled, setEscapeModelStrings, setFlag, setIgnoreAttributeModifier, setMarkup, setMarkupId, setMarkupIdImpl, setMetaData, setOutputMarkupId, setOutputMarkupPlaceholderTag, setParent, setRenderBodyOnly, setRequestFlag, setResponsePage, setResponsePage, setResponsePage, setVersioned, setVisibilityAllowed, setVisible, success, urlFor, urlFor, urlFor, urlFor, urlFor, visitParents, visitParents, warn, wrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AjaxSubmitButtonLink

    public AjaxSubmitButtonLink(java.lang.String id)

### AjaxSubmitButtonLink

    public AjaxSubmitButtonLink(java.lang.String id,
                                org.apache.wicket.markup.html.form.Form<?> form)

### AjaxSubmitButtonLink

    public AjaxSubmitButtonLink(java.lang.String id,
                                org.apache.wicket.model.IModel<T> model)

### AjaxSubmitButtonLink

    public AjaxSubmitButtonLink(java.lang.String id,
                                org.apache.wicket.model.IModel<T> model,
                                org.apache.wicket.model.IModel<java.lang.String> labelModel)

### AjaxSubmitButtonLink

    public AjaxSubmitButtonLink(java.lang.String id,
                                org.apache.wicket.model.IModel<T> model,
                                org.apache.wicket.markup.html.form.Form<?> form)

### AjaxSubmitButtonLink

    public AjaxSubmitButtonLink(java.lang.String id,
                                org.apache.wicket.model.IModel<T> model,
                                org.apache.wicket.model.IModel<java.lang.String> labelModel,
                                org.apache.wicket.markup.html.form.Form<?> form)

Method Detail

### onSubmit

    protected void onSubmit(org.apache.wicket.ajax.AjaxRequestTarget target,
                            org.apache.wicket.markup.html.form.Form<?> form)

  Override this method to provide special submit handling in a multi-button form. This method will be called before the form's onSubmit method.

### onAfterSubmit

    protected void onAfterSubmit(org.apache.wicket.ajax.AjaxRequestTarget target,
                                 org.apache.wicket.markup.html.form.Form<?> form)

  Override this method to provide special submit handling in a multi-button form. This method will be called after the form's onSubmit method.

### updateAjaxAttributes

    protected void updateAjaxAttributes(org.apache.wicket.ajax.attributes.AjaxRequestAttributes attributes)

### onComponentTag

    protected void onComponentTag(org.apache.wicket.markup.ComponentTag tag)

  Overrides:
    `onComponentTag` in class `AbstractButtonLink<T>`

### onError

    public final void onError()

  Final implementation of the Button's onError. AjaxSubmitLinks have their own onError which is called.

  See Also:
    `Button.onError()`

### onError

    protected void onError(org.apache.wicket.ajax.AjaxRequestTarget target,
                           org.apache.wicket.markup.html.form.Form<?> form)

  Listener method invoked on form submit with errors. This method is called before `Form.onError()`.

  Parameters:
    `target` -
    `form` -

### onSubmit

    public final void onSubmit()

  Use `onSubmit(AjaxRequestTarget, Form)` instead.

### onAfterSubmit

    public final void onAfterSubmit()

  Use `onAfterSubmit(AjaxRequestTarget, Form)` instead.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.